Subject: Re: [PATCH v5] MyFirstContribution: add avenues for getting help

From: Emily Shaffer <[email-masked]>
Date: Fri, 24 Jan 2020 12:50:25 -0800

On Fri, Jan 24, 2020 at 12:35:28PM -0800, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > From: Emily Shaffer <[email-masked]>
> 
> Hmm, unlike folks who use GGG, your From: address seem almost usable
> without having to waste two extra lines (which matters when one has
> to review many patches a day).

Blame an unhealthy appreciation for being able to write emails in Vim.

I generate patches with 'git format-patch' - what's the unusable part of
"almost" usable here? Typically I invoke it like so:

  git format-patch -o ~/mailed-patches/blah -vN master..branchname
  git send-email --to=[email-masked] ~/mailed-patches/blah/vN*

If there's more tweaking I should do in the workflow I'd like to know.

> > +==== https://lore.kernel.org/git[[email-masked]]
> 
> Hmph.  I would have expected mailto:[email-masked] as the main
> URL here, as this enumeration is not for those who lurk to passibly
> receive information, but for those (new) contributors who want to
> ask help by actively transmitting.  Mentioning lore as an archive
> when talking about the list is necessary, but it shouldn't obscure
> the main e-mail address people need to know in order to send their
> requests.

Ok. My personal bias as a long-time browser-as-primary-mail-client user
leaked through. I'll send another revision now.